API ReferenceManagementMCP Server Clients
POST
/v1/mgmt/mcp/server/clients/search

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

mcpServerId?string
page?integer
Formatint32
limit?integer
Formatint32
text?string
name?string
clientId?string
status?string
registrationMethod?string
tag?string
sort?array<SortField>

Search MCP Server Clients for a specific MCP Server, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/mcp/server/clients/search" \  -H "Content-Type: application/json" \  -d '{}'
{  "clients": [    {      "id": "string",      "name": "string",      "clientId": "string",      "mcpServerId": "string",      "approvedCallbackUrls": [        "string"      ],      "scopes": [        "string"      ],      "tags": [        "string"      ],      "logo": "string",      "registrationType": "string",      "status": "string",      "forceAddAllAuthorizationInfo": true    }  ],  "total": 0}
export interface Response {clients?: McpServerClient[]total?: number}export interface McpServerClient {id?: stringname?: stringclientId?: stringmcpServerId?: stringapprovedCallbackUrls?: string[]scopes?: string[]tags?: string[]logo?: stringregistrationType?: stringstatus?: stringforceAddAllAuthorizationInfo?: boolean}
Was this helpful?